Bug 16675 - Request for working fan speed adjustment on NV40
Summary: Request for working fan speed adjustment on NV40
Status: REOPENED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: git
Hardware: Other All
: medium enhancement
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-11 12:12 UTC by Eric Smith
Modified: 2018-08-12 22:32 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Smith 2008-07-11 12:12:55 UTC
With the nouveau driver my 6800gt's fan runs at full speed which is very loud.  I talked to the developer of nvclock and he said that nouveau doesn't initialize certain registers that deal with voltages.  Once these are set, nvclock should be able to control the fan speed.  I'm not exactly sure what needs to be done, but thought I'd create to see if anyone had an easy solution.
Comment 1 Martin Peres 2013-08-13 02:55:48 UTC
Hi,

Years later, I think we can close this bug. Fan management for nv40 has been released already.
Comment 2 caguduzexi 2018-08-12 22:32:54 UTC
No, its not fixed. Kernel 4.17.14 - fans just spin at 100% like inside the BIOS. They downt slow down. Waiting for fix for a looong time. This is just one of the bugreports: https://bugs.freedesktop.org/show_bug.cgi?id=102352


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.